## rocs 4.8.4

=== graphics/CMakeLists.txt ===
add_subdirectory(iconpacks)
kde4_install_icons(${DATA_INSTALL_DIR}/rocs/icons)

=== src/Tests/CMakeLists.txt ===
include_directories(
#     ${KDE4_INCLUDES} ${QT_INCLUDES}
#     ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}}
#     ${CMAKE_CURRENT_BINARY_DIR}}/..
    )

set (testGraphs_SRCS
   testGraph.cpp
)
kde4_add_executable(testGraphs ${testGraphs_SRCS} )
target_link_libraries( testGraphs
    rocslib
  ${KDE4_KROSSUI_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${QT_QTSCRIPT_LIBRARY}
)
add_test(TestGraphs testGraphs)

#DynamicPropertiesList
set( testDinamicProperties_SRCS TestDynamicProperties.cpp)
kde4_add_executable(TestDynamicProperties ${testDinamicProperties_SRCS})
target_link_libraries( TestDynamicProperties
    rocslib
    ${KDE4_KROSSUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
)
add_test(TestDynamicProperties TestDynamicProperties)

#Include Manager
set( test_IncludeManager_SRC TestIncludeManager.cpp ../Scripts/IncludeManager.cpp)


set(rocs_KCFGS ../settings.kcfgc)

kde4_add_kcfg_files(rocs_Settings_SRCS_TEST ${rocs_KCFGS} )

kde4_add_executable( TestIncludeManager ${test_IncludeManager_SRC} ${rocs_Settings_SRCS_TEST})
target_link_libraries( TestIncludeManager
        # ${KDE4_KROSSUI_LIBS}
        ${QT_QTTEST_LIBRARY}
        ${KDE4_KDECORE_LIBS}
        ${QT_QTSCRIPT_LIBRARY}
        ${KDE4_KIO_LIBS}
)
add_test(TestIncludeManager TestIncludeManager)



#Data structure
set( test_DataStructure_SRC TestDataStructure.cpp)



kde4_add_executable( TestDataStructure ${test_DataStructure_SRC})
target_link_libraries( TestDataStructure
        rocslib
        ${QT_QTTEST_LIBRARY}
        ${KDE4_KDECORE_LIBS}
        ${QT_QTSCRIPT_LIBRARY}
        ${KDE4_KIO_LIBS}
)
add_test(TestDataStructure TestDataStructure)

=== src/UndoRedo/CMakeLists.txt ===
include_directories( 
  ${KDE4_INCLUDES} 
  ${QT_INCLUDES} 
  ../Core 
  ../Actions 
  ../Interface
)
 
set( rocsundoredo_LIB_SRCS
  URAddNode.cpp
  URAddEdge.cpp
)

kde4_add_library( librocsundoredo STATIC ${rocsundoredo_LIB_SRCS} )

=== src/Plugins/DataStructure/Graph/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)


Set (GraphStructure_SRC GraphNode.cpp GraphStructure.cpp GraphPlugin.cpp NodeItem.cpp EdgeItem.cpp)


kde4_add_plugin(rocs_GraphStructure ${GraphStructure_SRC} )
kde4_add_library(rocs_GraphStructure  SHARED ${GraphStructure_SRC} )

target_link_libraries(rocs_GraphStructure
                ${KDE4_KDEUI_LIBS}
                ${QT_QTSCRIPT_LIBRARY}
                ${QT_QTSCRIPTTOOLS_LIBRARY}
                rocslib)

install(TARGETS rocs_GraphStructure  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES  rocs_GraphStructure.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== src/Plugins/FilePlugins/GMLParser/CMakeLists.txt ===
find_package(Boost  1.43)

if (Boost_FOUND AND Boost_MINOR_VERSION GREATER 42)
  include_directories(
  ${Boost_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ../../
  )

  if (KDE4_BUILD_TESTS)
  #   enable_testing()
  #   add_subdirectory(tests)
  endif(KDE4_BUILD_TESTS)

  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

  ADD_DEFINITIONS(${QT_DEFINITIONS})
  ADD_DEFINITIONS(-DQT_PLUGIN)
  ADD_DEFINITIONS(-DQT_NO_DEBUG)
  ADD_DEFINITIONS(-DQT_SHARED)

  set(GMLParser_SRCS GMLGraphParsingHelper.cpp GMLGrammar.cpp GMLParser.cpp)

  qt4_automoc(${GMLParser_SRCS})
  kde4_add_plugin(rocs_GMLParser ${GMLParser_SRCS})
  add_definitions(-DQT_STL)
  target_link_libraries(rocs_GMLParser
    ${KDE4_KDEUI_LIBS}
    rocslib
  )

  install(TARGETS rocs_GMLParser  DESTINATION ${PLUGIN_INSTALL_DIR})

  install( FILES rocs_GMLParser.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
endif(Boost_FOUND AND Boost_MINOR_VERSION GREATER 42)

=== src/Plugins/FilePlugins/TXTParser/CMakeLists.txt ===

Set (PlainTxtFilePlugin_SRC PlainTxtFilePlugin.cpp)

kde4_add_plugin(rocs_plaintxt ${PlainTxtFilePlugin_SRC} )
target_link_libraries(rocs_plaintxt
                      ${KDE4_KDEUI_LIBS}
                      rocslib)

install(TARGETS rocs_plaintxt  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES rocs_plaintxtplugin.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

## rocs 4.7.1

=== debian/changelog ===
rocs (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:17:58 +0200

rocs (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 23:56:44 -0400

rocs (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 27 Jul 2011 11:28:15 +0200

rocs (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Jul 2011 12:45:05 +0200

=== debian/control ===
Source: rocs
Section: math
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake,
 debhelper (>= 7.0.50~),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),
 libboost1.46-dev
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs

Package: rocs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

Package: rocs-dbg
Section: debug
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Depends: ${misc:Depends}, rocs (=${binary:Version})
Description:  debugging symbols for rocs
 This package contains debugging files used to investigate problems with
 binaries included in rocs.

## rocs 4.7.2

=== debian/changelog ===
rocs (4:4.7.2-1) experimental; urgency=low

  [ Felix Geyer ]
  * Initial release, based on the Kubuntu package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:38 -0300

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),
 libboost-dev (>= 1.43)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/rocs.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/rocs.git

Package: rocs
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

## rocs 4.7.4

=== debian/changelog ===
rocs (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ Pino Toscano ]
  * Backport two upstream commits to enable the use of C++ exceptions.
    This fixes the build with newer boost releases.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Mar 2012 14:16:18 +0100

rocs (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Uploaders: Eshat Cakar <info@eshat.de>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.6),
  libboost-dev (>= 1.43)

## rocs 4.8.2

=== debian/changelog ===
rocs (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 03 Apr 2012 17:37:34 +0530

rocs (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:15:04 +0100

rocs (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 22:08:32 +0100

rocs (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:35 +0000

rocs (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
    - update rocs.install and not-installed

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:06:22 +0100

rocs (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release
  * Add build-dep on libboost-graph1.46-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 15:07:00 +0000

rocs (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 01 Nov 2011 15:43:03 +0100

rocs (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)
  * debian/copyright:
    - Fix licensing text for LGPL-2

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 04 Oct 2011 20:35:46 +0200

=== debian/control ===
Source: rocs
Section: math
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake,
 debhelper (>= 7.0.50~),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),
 libboost1.46-dev,
 libboost-graph1.46-dev,
 libboost-graph1.46.1
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs

Package: rocs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

Package: rocs-dbg
Section: debug
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Depends: ${misc:Depends}, rocs (=${binary:Version})
Description:  debugging symbols for rocs
 This package contains debugging files used to investigate problems with
 binaries included in rocs.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=rocs-dbg

## rocs 4.8.4

=== debian/changelog ===
rocs (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Drop patch upstream_enable_exceptions.diff, backported from upstream.
  * Convert copyright to copyright-format v1.0 and fix/update.
  * Add libboost-graph-dev build dependency, also manually installing
    libboost-graph1.49.0 since the -dev does not install it.
  * Update installed files.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2012 16:49:53 +0200

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8),
 libboost-dev (>= 1.43),
 libboost-graph-dev, libboost-graph1.49.0
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/rocs.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/rocs.git

Package: rocs
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

## rocs 4.8.5

=== debian/changelog ===
rocs (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:55:12 +0200

=== debian/control ===
Source: rocs
Section: math
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake,
 debhelper (>= 7.0.50~),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),
 libboost1.46-dev,
 libboost-graph1.46-dev,
 libboost-graph1.46.1
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs

Package: rocs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

Package: rocs-dbg
Section: debug
Architecture: any
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Depends: ${misc:Depends}, rocs (=${binary:Version})
Description:  debugging symbols for rocs
 This package contains debugging files used to investigate problems with
 binaries included in rocs.

## rocs 4.9.2

=== debian/changelog ===
rocs (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:47:45 +0100

rocs (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change soname from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 15:34:07 +0530

rocs (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:53 +0100

rocs (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:50:29 +0100

rocs (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:49:29 +0200

rocs (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:16:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: math
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake,
  debhelper (>= 7.0.50~),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
- libboost1.46-dev,
- libboost-graph1.46-dev,
- libboost-graph1.46.1
+ kdelibs5-dev (>= 4:4.9.2),
+ libboost1.49-dev,
+ libboost-graph1.49-dev,
+ libboost-graph1.49.0
 Standards-Version: 3.9.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
 Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs

## rocs 4.9.3

=== debian/changelog ===
rocs (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:42:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake,
  debhelper (>= 7.0.50~),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.3),
  libboost1.49-dev,
  libboost-graph1.49-dev,
  libboost-graph1.49.0

## rocs 4.9.5

=== debian/changelog ===
rocs (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:49:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake,
  debhelper (>= 7.0.50~),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.9.5),
  libboost1.49-dev,
  libboost-graph1.49-dev,
  libboost-graph1.49.0

## rocs 4.10.0

=== debian/changelog ===
rocs (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:25:07 +0000

rocs (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:35:31 +0000

rocs (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:51:02 +0100

rocs (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * add new images to rocs.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:51:27 +0000

rocs (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:21:13 +0000

rocs (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Add build-dep on libqtwebkit-dev
  * Don't fail on tests
  * update rocs.install and not-installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:28:26 +0000

rocs (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:52:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  cmake,
  debhelper (>= 7.0.50~),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5),
+ kdelibs5-dev (>= 4:4.10.0),
  libboost1.49-dev,
  libboost-graph1.49-dev,
- libboost-graph1.49.0
+ libboost-graph1.49.0,
+ libqtwebkit-dev,
+ libx11-dev
 Standards-Version: 3.9.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
 Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs

## rocs 4.10.2

=== App/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2008-2011  Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   Copyright 2010-2012  Wagner Reck <wagner.reck@gmail.com>
#   Copyright 2011-2012  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

project(rocs)

set(ROCS_VERSION_MAJOR 1)
set(ROCS_VERSION_MINOR 8)
set(ROCS_VERSION_PATCH 0)

configure_file( "${rocs_SOURCE_DIR}/rocsversion.h.cmake" "${rocs_BINARY_DIR}/rocsversion.h" @ONLY )

include_directories(
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
    ${KROSS_INCLUDES}
    ${ROCSCORE_INCLUDES}
    ${ROCSVISUALEDITOR_INCLUDES}
    Actions/
    GraphicsItem/
    Interface/
    Interface/VisualEditor
    LoadSave/
    Models/
    Plugins/
    Scripts/
)

set( rocs_actions_SRCS
    Actions/PropertiesDialogAction.cpp
)

set( rocs_interface_SRCS
    Interface/DocumentationWidget.cpp
    Interface/JournalEditorWidget.cpp
    Interface/SideDockWidget.cpp
    Interface/ImporterExporterManager.cpp
    Interface/IncludeManagerSettings.cpp
    Interface/MainWindow.cpp
    Interface/Separator.cpp
    Interface/TabWidget.cpp
    Interface/CodeEditor.cpp
    Interface/DocumentTypesWidget.cpp
    Interface/ConfigureDefaultProperties.cpp
    Interface/LoadedPluginsDialog.cpp
    Interface/PossibleIncludes.cpp
    Interface/ScriptOutputWidget.cpp
)

set( rocs_SRCS
    Main.cpp
    ${rocs_interface_SRCS}
    ${rocs_script_SRC}
)

kde4_add_ui_files(
    rocs_SRCS
    Interface/DocumentationWidget.ui
    Interface/JournalEditorWidget.ui
    Interface/DocumentTypesWidget.ui
    Interface/ConfigureDefaultProperties.ui
    Interface/ScriptOutputWidget.ui
)

# we currently only support QtScript
set( QT_USE_QTSCRIPT true )

set( rocs_KCFGS settings.kcfgc )

kde4_add_kcfg_files( rocs_Settings_SRCS ${rocs_KCFGS} )

# needed to get icon on windows
kde4_add_app_icon( rocs_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../graphics/hi16-app-rocs.png
)

kde4_add_executable( rocs
    ${rocs_SRCS}
    ${rocs_Settings_SRCS}
    ${rocs_RCC_SRCS}
)

target_link_libraries(rocs
    rocscore
    rocsvisualeditor
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KROSSUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTSCRIPTTOOLS_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    ${KDE4_KNEWSTUFF3_LIBS}
)

################## INSTALLS ##########################

install( TARGETS rocs  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( PROGRAMS rocs.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES rocsui.rc DESTINATION ${DATA_INSTALL_DIR}/rocs  )
install( FILES rocs.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES rocs.knsrc DESTINATION ${CONFIG_INSTALL_DIR} )

add_subdirectory( Scripts )

# Build Tests if KDE_TEST is on
if(KDE4_BUILD_TESTS)
    enable_testing()
    add_subdirectory(Tests)
endif(KDE4_BUILD_TESTS)

=== debian/changelog ===
rocs (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:06:30 +0200

rocs (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 17:01:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake,
  debhelper (>= 7.0.50~),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  libboost1.49-dev,
  libboost-graph1.49-dev,
  libboost-graph1.49.0,

## rocs 4.10.5

=== debian/changelog ===
rocs (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:48:48 +0200

rocs (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:38:50 +0200

rocs (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)
    - refresh rocs.install (moved icons)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:22:52 +0200

rocs (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:06:30 +0200

rocs (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 17:01:27 +0000

rocs (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:25:07 +0000

rocs (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:35:31 +0000

rocs (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:51:02 +0100

rocs (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * add new images to rocs.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:51:27 +0000

rocs (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:21:13 +0000

rocs (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Add build-dep on libqtwebkit-dev
  * Don't fail on tests
  * update rocs.install and not-installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:28:26 +0000

rocs (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:52:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake,
  debhelper (>= 7.0.50~),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.5),
  libboost1.49-dev,
  libboost-graph1.49-dev,
  libboost-graph1.49.0,

=== debian/rules ===
--- 
+++ 
@@ -3,3 +3,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=rocs-dbg
+
+override_dh_auto_test:
+	# they will fail, so don't try the tests

## rocs 4.11.2

=== debian/changelog ===
rocs (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:01:55 +0100

rocs (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.
  * Add new icons to install file 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:45:42 +0100

rocs (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:46:03 +0100

rocs (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:14:51 +0100

rocs (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Refresh documentation files in rocs.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 19 Jul 2013 12:33:40 +0000

rocs (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:36:26 +0100

rocs (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Build-depend on libgrantlee-dev and libx11-dev
  * Update rocs.install and not-installed 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:04:20 +0100

rocs (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:57:32 +0100

rocs (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining change:
   - use versioned boost depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:08 +0000

rocs (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Update Uploaders, adding myself.
  * Update copyright.
  * Update installed files.
  * Update lintian overrides.
  * Disable the build and execution of unit tests for now.

  [ Sune Vuorela ]
  * Add qtwebkit to build-deps.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 20:33:28 +0000

rocs (4:4.10.2-0ubuntu2) saucy; urgency=low

  * Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 11:30:10 +0100

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 Pino Toscano <pino@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libboost1.53-dev (>= 1.43),
 libboost-graph1.53-dev,
 libqtwebkit-dev,
 libgrantlee-dev,
 libx11-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/rocs.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
X-Vcs-Debian-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/rocs.git

Package: rocs
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

## rocs 4.11.5

=== debian/changelog ===
rocs (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:54:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
  libboost1.53-dev (>= 1.43),
  libboost-graph1.53-dev,
  libqtwebkit-dev,
@@ -16,8 +16,8 @@
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
 X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/rocs.git
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs-13.10
 X-Vcs-Debian-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/rocs.git
 
 Package: rocs
